POST
/
v1
/
organizations
/
{organizationId}
/
provider-gateway
/
{provider}
/
jobs
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.enqueueProviderRequest({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  provider: process.env.OCTOSPARK_PROVIDER ?? "provider",
  body: {},
})
{
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "response": {
    "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": 123,
    "contentType": "<string>",
    "bodyBase64": "<string>",
    "retryAfter": "<string>",
    "chargeDecimillicents": 123,
    "providerUsageCostDecimillicents": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

provider
enum<string>
required

AI vendor to access using this organisation connection: OpenRouter or ElevenLabs.

Available options:
openrouter,
elevenlabs

Body

application/json
method
enum<string>
required

HTTP method to send to the vendor; writes require an idempotency key.

Available options:
GET,
HEAD,
POST,
PUT,
PATCH,
DELETE
path
string
required

a string at most 4096 character(s) long

Required string length: 1 - 4096
query
object

Vendor query parameters; omit for none. Authentication overrides are rejected.

contentType
string

a string at most 256 character(s) long

Maximum string length: 256
bodyBase64
string

a string at most 11184812 character(s) long

Maximum string length: 11184812
idempotencyKey
string

a string at most 128 character(s) long

Required string length: 8 - 128

Response

Success

requestId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
status
enum<string>
required
Available options:
reserved,
queued,
preparing,
dispatched,
completed,
uncertain,
failed,
billing_hold
response
object
required